DeluxHostAPI Reference
Payments & payment methods

List saved payment methods

GET
/v1/payment-methods

Authorization

apiToken billing:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: billing:read

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
methods*array<>
autopay*boolean
curl -X GET 'https://api.deluxhost.net/v1/payment-methods' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "methods": [    {      "id": 0,      "gateway": "string",      "type": "string",      "label": "string",      "isDefault": true,      "status": "string",      "expMonth": 0,      "expYear": 0,      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "autopay": true}